## python-wsgi-intercept 0.8.1

=== Makefile ===
.PHONY: test clean tagv pypi release

default:
	@echo "Pick a target (e.g., clean, test)"

clean:
	find wsgi_intercept -name "*.pyc" |xargs rm || true
	find test -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r wsgi_intercept.egg-info || true
	rm *.bundle || true
	rm -r *-bundle* || true
	cd docs && make clean

test:
	py.test --tb=short -x test

doctest:
	cd docs && make doctest

tagv:
	git tag -a \
		-m v`python setup.py --version` \
		v`python setup.py --version`
	git push origin master --tags

pypi:
	python setup.py sdist upload

docs: docs/*.rst
	cd docs && $(MAKE) html

release: clean test tagv clean pypi

## python-wsgi-intercept 0.5.1

=== debian/changelog ===
python-wsgi-intercept (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #725031)

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 01:05:06 +0800

=== debian/control ===
Source: python-wsgi-intercept
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsgi-intercept.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wsgi-intercept.git
Homepage: http://code.google.com/p/wsgi-intercept/

Package: python-wsgi-intercept
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: installs a WSGI application in place of a real URI for testing
 Testing a WSGI application normally involves starting a server at a local host
 and port, then pointing your test code to that address. Instead, this library
 lets you intercept calls to any specific host/port combination and redirect
 them into a WSGI application importable by your test program. Thus, you can
 avoid spawning multiple processes or threads to test your Web app.
 .
 wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
 wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
 server/port combinations into a WSGI application by emulating a socket. If no
 intercept is registered for the host and port requested, those requests are
 passed on to the standard handler.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/w/wsgi_intercept wsgi_intercept-(.*).tar.gz

## python-wsgi-intercept 0.8.1

=== debian/changelog ===
python-wsgi-intercept (0.8.1-2) unstable; urgency=medium

  * Removed unit tests which are doing outbound network connection to google.
    Thanks to Matthias Klose <doko@ubuntu.com> for the report (Closes: #758020)

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Aug 2014 15:17:49 +0800

python-wsgi-intercept (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Switched to github as upstream source, and using tags for orig file.
  * Adds patch from upstream bug tracker to fix issue with requests
    vendorized urllib3 that doesn't work the same way as what is in Debian.
    Thanks a lot to upstream author for help! (Closes: #755315).

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Aug 2014 14:16:41 +0000

python-wsgi-intercept (0.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/old-urllib3.patch: skip requests lib tests, if
    urllib3 is too old.
  * Bump minimum required python3 version to 3.3.
  * Fix debian/watch file URL.
  * Drop patch from 0.6.4-2, included upstream.
  * Allow testsuite to succeed without network access (like on launchpad)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Jun 2014 01:08:21 +0100

python-wsgi-intercept (0.6.4-2) unstable; urgency=medium

  * Apply patch to fix regression since 0.5.1. Values in HTTP headers was
    not preceded by a single space, as preferred in the RFC. Also it's
    ugly not to do it, and no-one else deviates from that preference.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Jun 2014 14:47:45 +0100

python-wsgi-intercept (0.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Enable python3 build.
  * Switch to pybuild.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Jun 2014 12:50:59 +0100

python-wsgi-intercept (0.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #740720).
  * Fixed debian/copyright as per FTP masters suggestion.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2013 14:34:15 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,22 @@
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-setuptools
-Standards-Version: 3.9.4
+               python-httplib2,
+               python-pytest,
+               python-requests,
+               python-setuptools,
+               python-urllib3,
+               python3-all,
+               python3-httplib2,
+               python3-pytest,
+               python3-requests,
+               python3-setuptools,
+               python3-urllib3
+Standards-Version: 3.9.5
+X-Python3-Version: >= 3.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsgi-intercept.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-wsgi-intercept.git
 Homepage: http://code.google.com/p/wsgi-intercept/
@@ -31,3 +43,23 @@
  server/port combinations into a WSGI application by emulating a socket. If no
  intercept is registered for the host and port requested, those requests are
  passed on to the standard handler.
+
+Package: python3-wsgi-intercept
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}
+Description: installs a WSGI application in place of a real URI for testing (python3)
+ Testing a WSGI application normally involves starting a server at a local host
+ and port, then pointing your test code to that address. Instead, this library
+ lets you intercept calls to any specific host/port combination and redirect
+ them into a WSGI application importable by your test program. Thus, you can
+ avoid spawning multiple processes or threads to test your Web app.
+ .
+ wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
+ wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
+ server/port combinations into a WSGI application by emulating a socket. If no
+ intercept is registered for the host and port requested, those requests are
+ passed on to the standard handler.
+ .
+ This package provides a python3 module.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/w/wsgi_intercept/ wsgi_intercept-(.*).tar.gz

## python-wsgi-intercept 1.1.2

=== Makefile ===
.PHONY: test clean reclean tagv pypi release docs

default:
	@echo "Pick a target (e.g., clean, test)"

clean:
	find wsgi_intercept test -name "*.py[co]" |xargs rm || true
	find wsgi_intercept test -type d -name "__pycache__" |xargs rmdir || true
	rm -r dist || true
	rm -r build || true
	rm -r wsgi_intercept.egg-info || true
	rm *.bundle || true
	rm -r *-bundle* || true
	cd docs && make clean

reclean:
	find wsgi_intercept test -name "*.py[co]" |xargs rm || true
	find wsgi_intercept test -type d -name "__pycache__" |xargs rmdir || true
	rm -r dist || true
	rm -r build || true
	rm -r wsgi_intercept.egg-info || true
	rm *.bundle || true
	rm -r *-bundle* || true
	cd docs && make clean

test:
	py.test --tb=short -x test

doctest:
	cd docs && make doctest

tagv:
	git tag -a \
		-m v`python setup.py --version` \
		v`python setup.py --version`
	git push origin master --tags

pypi:
	python setup.py sdist upload

docs:
	cd docs && $(MAKE) html

release: clean test tagv reclean pypi

=== debian/changelog ===
python-wsgi-intercept (1.1.2-4+8~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 24 Nov 2016 10:09:49 +0000

python-wsgi-intercept (1.1.2-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:31:44 +0200

python-wsgi-intercept (1.1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 17:19:51 +0000

python-wsgi-intercept (1.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Bumped Standards-Version to 3.9.6.
  * Fixed debian/copyright.
  * Rebased 25-do-not-run-internet-needing-tests.patch.
  * Get away from pybuild, as we don't want http_proxy / https_proxy being set.
  * Watch file using github tag.
  * Fixed homepage.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 12:49:48 +0000

python-wsgi-intercept (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * d/p/01-system-urllib3.patch: Dropped, resolving FTBFS; requests now
    DTRT with regards to using system Python modules (Closes: #792161).

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jul 2015 16:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,35 +2,35 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
-Build-Depends: debhelper (>= 9),
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-httplib2,
-               python-pytest,
-               python-requests,
+               python-all,
                python-setuptools,
-               python-urllib3,
                python3-all,
-               python3-httplib2,
-               python3-pytest,
-               python3-requests,
                python3-setuptools,
-               python3-urllib3
-Standards-Version: 3.9.5
-X-Python3-Version: >= 3.3
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wsgi-intercept.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-wsgi-intercept.git
-Homepage: http://code.google.com/p/wsgi-intercept/
+Build-Depends-Indep: python-httplib2,
+                     python-pytest,
+                     python-requests,
+                     python-six,
+                     python-urllib3,
+                     python3-httplib2,
+                     python3-pytest,
+                     python3-requests,
+                     python3-six,
+                     python3-urllib3,
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-wsgi-intercept?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-wsgi-intercept -b debian/newton
+Homepage: https://github.com/cdent/wsgi-intercept
 
 Package: python-wsgi-intercept
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: ${python:Recommends}
+Depends: python-six,
+         ${misc:Depends},
+         ${python:Depends},
+Recommends: ${python:Recommends},
 Description: installs a WSGI application in place of a real URI for testing
  Testing a WSGI application normally involves starting a server at a local host
  and port, then pointing your test code to that address. Instead, this library
@@ -46,9 +46,10 @@
 
 Package: python3-wsgi-intercept
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python3:Recommends}
+Depends: python3-six,
+         ${misc:Depends},
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
 Description: installs a WSGI application in place of a real URI for testing (python3)
  Testing a WSGI application normally involves starting a server at a local host
  and port, then pointing your test code to that address. Instead, this library

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/cdent/python3-wsgi-intercept.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-wsgi-intercept; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-wsgi-intercept; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHON=$$i PYTHONPATH=. python -m pytest test ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	# python3 pyremove is broken ?!
	rm -rf ./debian/python3-wsgi-intercept/usr/lib/python3/dist-packages/test

## python-wsgi-intercept 1.4.1

=== debian/changelog ===
python-wsgi-intercept (1.4.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Update to point to pypi.
  * debian/patches/25-do-not-run-internet-needing-tests.patch: Dropped
    no longer needed.
  * New upstream release. 
  * debian/rules: Remove tests since they do not run properly.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 13:25:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-wsgi-intercept
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -20,9 +21,9 @@
                      python3-requests,
                      python3-six,
                      python3-urllib3,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-wsgi-intercept?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-wsgi-intercept -b debian/newton
+Standards-Version: 3.9.7
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
 Homepage: https://github.com/cdent/wsgi-intercept
 
 Package: python-wsgi-intercept

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT := https://github.com/cdent/python3-wsgi-intercept.git
+UPSTREAM_GIT = git://github.com/cdent/python3-wsgi-intercept.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -21,13 +21,13 @@
 	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		PYTHON=$$i PYTHONPATH=. python -m pytest test ; \
-	done
-endif
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		PYTHON=$$i PYTHONPATH=. python -m pytest test ; \
+#	done
+#endif
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wsgi_intercept/wsgi_intercept-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wsgi-intercept 1.5.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	cd docs && make clean
 
 test:
-	py.test --tb=short -x test
+	tox --skip-missing-interpreters
 
 doctest:
 	cd docs && make doctest
@@ -39,6 +39,6 @@
 	python setup.py sdist upload
 
 docs:
-	cd docs && $(MAKE) html
+	tox -edocs
 
 release: clean test tagv reclean pypi

=== debian/changelog ===
python-wsgi-intercept (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:50:23 +0000

python-wsgi-intercept (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Using pkgos-dh_auto_install.
  * Remove patch, and define WSGI_INTERCEPT_SKIP_NETWORK which is now
    understood by upstream unit tests.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2017 21:57:11 +0200

=== debian/control ===
Source: python-wsgi-intercept
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-httplib2,
 python-pytest,
 python-requests,
 python-six,
 python-urllib3,
 python3-httplib2,
 python3-pytest,
 python3-requests,
 python3-six,
 python3-urllib3,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-wsgi-intercept.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-wsgi-intercept.git
Homepage: https://github.com/cdent/wsgi-intercept

Package: python-wsgi-intercept
Architecture: all
Depends:
 python-six,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Description: installs a WSGI application in place of a real URI for testing
 Testing a WSGI application normally involves starting a server at a local host
 and port, then pointing your test code to that address. Instead, this library
 lets you intercept calls to any specific host/port combination and redirect
 them into a WSGI application importable by your test program. Thus, you can
 avoid spawning multiple processes or threads to test your Web app.
 .
 wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
 wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
 server/port combinations into a WSGI application by emulating a socket. If no
 intercept is registered for the host and port requested, those requests are
 passed on to the standard handler.

Package: python3-wsgi-intercept
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: installs a WSGI application in place of a real URI for testing (python3)
 Testing a WSGI application normally involves starting a server at a local host
 and port, then pointing your test code to that address. Instead, this library
 lets you intercept calls to any specific host/port combination and redirect
 them into a WSGI application importable by your test program. Thus, you can
 avoid spawning multiple processes or threads to test your Web app.
 .
 wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
 wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
 server/port combinations into a WSGI application by emulating a socket. If no
 intercept is registered for the host and port requested, those requests are
 passed on to the standard handler.
 .
 This package provides a python3 module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/cdent/python3-wsgi-intercept.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		WSGI_INTERCEPT_SKIP_NETWORK=true PYTHON=$$i PYTHONPATH=. python$$i -m pytest wsgi_intercept/tests ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	# python3 pyremove is broken ?!
	rm -rf ./debian/python3-wsgi-intercept/usr/lib/python3/dist-packages/test

## python-wsgi-intercept 1.8.0

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	git push origin master --tags
 
 pypi:
-	python setup.py sdist upload
+	python setup.py sdist bdist_wheel upload --sign
 
 docs:
 	tox -edocs

=== debian/changelog ===
python-wsgi-intercept (1.8.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Aug 2018 21:55:36 +0000

python-wsgi-intercept (1.8.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 16:28:57 -0400

## python-wsgi-intercept 1.9.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,8 @@
 	git push origin master --tags
 
 pypi:
-	python setup.py sdist bdist_wheel upload --sign
+	python3 setup.py sdist bdist_wheel
+	twine upload -s dist/*
 
 docs:
 	tox -edocs

=== debian/changelog ===
python-wsgi-intercept (1.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Works with newer httplib2 (Closes: #950038).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Apr 2020 22:20:07 +0200

python-wsgi-intercept (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:43:18 +0200

python-wsgi-intercept (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 13:12:46 +0200

python-wsgi-intercept (1.5.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Drop Python 2 support (Closes: #938267).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 10:55:42 +0200

=== debian/control ===
Source: python-wsgi-intercept
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-httplib2,
 python3-pytest,
 python3-requests,
 python3-six,
 python3-urllib3,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept.git
Homepage: https://github.com/cdent/wsgi-intercept

Package: python3-wsgi-intercept
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: installs a WSGI application in place of a real URI for testing (python3)
 Testing a WSGI application normally involves starting a server at a local host
 and port, then pointing your test code to that address. Instead, this library
 lets you intercept calls to any specific host/port combination and redirect
 them into a WSGI application importable by your test program. Thus, you can
 avoid spawning multiple processes or threads to test your Web app.
 .
 wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
 wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
 server/port combinations into a WSGI application by emulating a socket. If no
 intercept is registered for the host and port requested, those requests are
 passed on to the standard handler.
 .
 This package provides a python3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/wsgi-intercept/tags .*/(\d[\d\.]+)\.tar\.gz

## python-wsgi-intercept 1.9.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wsgi_intercept.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wsgi_intercept.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wsgi_intercept"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wsgi_intercept"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-wsgi-intercept (1.9.3-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/watch: Fixed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 May 2022 05:08:38 +0200

python-wsgi-intercept (1.9.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:07:38 +0100

python-wsgi-intercept (1.9.3-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Feb 2022 14:48:06 +0100

python-wsgi-intercept (1.9.2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Fixed.
  * Dropped changes, included in Debian:
    - New upstream release for OpenStack Ussuri.
    - Drop python2 support.
    - d/p/*: Dropped. No longer needed.
  * Dropped changes, no longer needed:
    - Use pybuild, not distutils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Jun 2020 09:22:00 -0700

python-wsgi-intercept (1.9.2-0ubuntu3) focal; urgency=medium

  * Use pybuild, not distutils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Apr 2020 00:52:00 -0700

python-wsgi-intercept (1.9.2-0ubuntu2) focal; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Apr 2020 00:40:17 -0700

python-wsgi-intercept (1.9.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/*: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Mar 2020 11:30:06 -0400

python-wsgi-intercept (1.9.1-0ubuntu1) focal; urgency=medium

  * d/watch: Fixed.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:27:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-wsgi-intercept
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -17,8 +18,8 @@
  python3-six,
  python3-urllib3,
 Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
 Homepage: https://github.com/cdent/wsgi-intercept
 
 Package: python3-wsgi-intercept

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,22 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3
+	dh $@ --buildsystem=python_distutils --with python3
+
+override_dh_auto_clean:
+	rm -rf build
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+	set -e ; set -x ; for i in $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		WSGI_INTERCEPT_SKIP_NETWORK=true PYTHON=$$i PYTHONPATH=. python$$i -m pytest wsgi_intercept/tests ; \

## python-wsgi-intercept 1.13.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	rm -r wsgi_intercept.egg-info || true
 	rm *.bundle || true
 	rm -r *-bundle* || true
-	cd docs && make clean
 
 reclean:
 	find wsgi_intercept test -name "*.py[co]" |xargs rm || true
@@ -21,13 +20,9 @@
 	rm -r wsgi_intercept.egg-info || true
 	rm *.bundle || true
 	rm -r *-bundle* || true
-	cd docs && make clean
 
 test:
 	tox --skip-missing-interpreters
-
-doctest:
-	cd docs && make doctest
 
 tagv:
 	git tag -a \

=== debian/changelog ===
python-wsgi-intercept (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebased patches:
    - pop-ssl-context.patch
    - support-urllib3-2.x_{1...6}.patch
  * Switch to pybuild (Closes: #1090636).
  * Fixed d/watch to use correct URL and mode=git.
  * Fixed support-urllib3-2.x_1.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 09:55:22 +0200

python-wsgi-intercept (1.13.0-2) unstable; urgency=medium

  * Add autopkgtest.
  * Run tests in parallel.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2024 13:52:43 +0200

python-wsgi-intercept (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Fixed upstream URLs in d/rules and d/copyright.
  * Add support-urllib3-2.x.patch (Closes: #1073465).
  * Add pop-ssl-context.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2024 11:47:09 +0200

python-wsgi-intercept (1.9.3-5) unstable; urgency=medium

  * Add Support_Python_3.12.patch (Closes: #1058378).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 13:34:57 +0100

python-wsgi-intercept (1.9.3-4) unstable; urgency=medium

  * Cleans better (Closes: #1045619).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:41:54 +0200

python-wsgi-intercept (1.9.3-3) unstable; urgency=medium

  * Add refer_to_pytest_not_py.test_in_tests.patch (Closes: #1042349).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Aug 2023 10:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-wsgi-intercept
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,12 +13,13 @@
 Build-Depends-Indep:
  python3-httplib2,
  python3-pytest,
+ python3-pytest-xdist,
  python3-requests,
  python3-six,
  python3-urllib3,
 Standards-Version: 4.1.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-wsgi-intercept
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wsgi-intercept.git
 Homepage: https://github.com/cdent/wsgi-intercept
 
 Package: python3-wsgi-intercept

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,16 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/cdent/python3-wsgi-intercept.git
+UPSTREAM_GIT := https://github.com/cdent/wsgi-intercept
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf .pytest_cache
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -22,7 +23,7 @@
 	set -e ; set -x ; for i in $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		WSGI_INTERCEPT_SKIP_NETWORK=true PYTHON=$$i PYTHONPATH=. python$$i -m pytest wsgi_intercept/tests ; \
+		WSGI_INTERCEPT_SKIP_NETWORK=true PYTHON=$$i PYTHONPATH=. python$$i -m pytest -v -n `nproc` wsgi_intercept/tests ; \
 	done
 endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/cdent/wsgi-intercept refs/tags/v(\d[brc\d\.]+)
